Bug 113093 - dig 9.2.2 fails on ID mismatch when dig 9.2.3 just warns
dig 9.2.2 fails on ID mismatch when dig 9.2.3 just warns
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks: 116727
  Show dependency treegraph
 
Reported: 2004-01-08 09:19 EST by Bastien Nocera
Modified: 2013-04-30 19:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 05:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2004-01-08 09:19:22 EST
Description of problem:

$ dig @ns1.bc bc axfr
 
; <<>> DiG 9.2.2 <<>> @ns1.bc bc axfr  
;; global options:  printcmd  
bc. 3600 IN SOA ncara2.bc. postmaster.ncara2.bc.  
20038769 300 60 1209600 3600  
;; ERROR: ID mismatch: expected ID 56924, got 0  

And does not print anything

With a dig 9.2.3:
$ ./dig @ns1.bc bc axfr  
; <<>> DiG 9.2.3 <<>> @ns1.bc bc axfr  
;; global options:  printcmd  
bc.                     3600    IN      SOA     ncara2.bc.  
postmaster.ncara2.bc.  
20039632 300 60 1209600 3600  
;; WARNING: ID mismatch: expected ID 48726, got 0  
bc.                     3600    IN      NS      ddc1ns.bc.  
bc.                     3600    IN      NS      ddc2ns.bc.  
rgkkcc.bc.              3600    IN      A       172.18.216.2  
dvtlns.bc.              3600    IN      A       45.35.0.21  
...  
...  
bc.                     3600    IN      SOA     ncara2.bc.  
postmaster.ncara2.bc.  
20039632 300 60 1209600 3600  
;; Query time: 30760 msec  
;; SERVER: 45.216.34.222#53(ns1.bc)  
;; WHEN: Wed Jan  7 12:48:14 2004  
;; XFR size: 14919 records  

The error is transformed into a simple warning, and the expected
results are printed.
Comment 3 Daniel Walsh 2004-06-24 11:59:15 EDT
Bind is reved in U3, bind-9.2.3
Please try this one.
Comment 4 Jay Turner 2004-08-17 11:48:30 EDT
Confirmed that bind-9.2.3-19 is in the U3 trees, but I can't reproduce
the error from dig.  Bastien?
Comment 7 Adam Tkac 2007-05-30 05:56:05 EDT
RHEL 3 is in maintenance stage now. Only critical/security bugs are fixed. If
you insist on fix, please reopen.

Regards, Adam
Comment 8 Need Real Name 2007-05-31 05:33:07 EDT
it s ok with this version bind-utils-9.2.4-14_EL3

Thanks

Vincent
Comment 9 Need Real Name 2007-05-31 05:33:20 EDT
it s ok with this version bind-utils-9.2.4-14_EL3

Thanks

Vincent
Comment 10 Adam Tkac 2007-05-31 05:40:01 EDT
(In reply to comment #9)
Thanks for your feedback :)

-A-

Note You need to log in before you can comment on or make changes to this bug.